%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% computeOptimalBandwidths.m
%
% AUTHOR: Margaux Luflade and Matthew A. Masten
%
% DATE CREATED: April 20, 2016
% DATE LAST UPDATED: July 14, 2017
%
% REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
% Simultaneous Equations Models", Review of Economic Studies
%
% INPUTS:
% MISE should be nTgrid-by-nRadonBdw, where nRadonBdw is the TOTAL number
% of bandwidths we are considering in the entire simulation
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [optimalBandwidth, optimalBandwidthRescaled] = ...
    computeOptimalBandwidths(MISE,MISErescaled,EstimationParams)

    [~, index] = min(MISE,[],2); % index is nTgrid-by-1
    optimalBandwidth = EstimationParams.radonBandwidths(:,index)'; 
        % nTgrid-by-1
    
    clear value index;

    [~, index] = min(MISErescaled,[],2); % index is nTgrid-by-1
    optimalBandwidthRescaled = EstimationParams.radonBandwidths(:,index)';
    
        % nTgrid-by-1
    clear value index;
    
end 