%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% runComputeMCresults.m
%
% AUTHOR: Margaux Luflade and Matthew A. Masten
%
% DATE CREATED: July 13, 2017
% DATE LAST UPDATED: July 14, 2017
%
% REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
% Simultaneous Equations Models", Review of Economic Studies
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function runComputeMCresults()

[dgpGrid, nSimulations, ~] = setnSimsAndDgpGrid();

for i = 1:length(dgpGrid)

    selectedDgp = i;
    
    dgpChoice = dgpGrid(selectedDgp,1);
    normalZ = dgpGrid(selectedDgp,2);
    sampleSize = dgpGrid(selectedDgp,3);

    computeMCresults(sampleSize,dgpChoice,nSimulations,normalZ)

end

end