%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% runTSLSestimationWrapper.m
%
% AUTHOR: Margaux Luflade and Matthew A. Masten
%
% DATE CREATED: July 11, 2016
% DATE LAST UPDATED: July 14, 2017
%
% REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
% Simultaneous Equations Models", Review of Economic Studies
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function runTSLSestimationWrapper()

[dgpGrid, nSimulations, ~] = setnSimsAndDgpGrid();

for i=1:size(dgpGrid,1)

    dgpChoice = dgpGrid(i,1);
    normalZ = dgpGrid(i,2);
    sampleSize = dgpGrid(i,3);

    runTSLSestimation(sampleSize,dgpChoice,nSimulations,normalZ);

end

end