%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% runWithEstimatedFirstStage_cluster.m
%
% AUTHOR: Margaux Luflade and Matthew A. Masten
%
% DATE CREATED: April 25, 2016
% DATE LAST UPDATED: July 14, 2017
%
% REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
% Simultaneous Equations Models", Review of Economic Studies
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function runWithEstimatedFirstStage_cluster(dgpGridChoice)

[dgpGrid, ~, ~] = setnSimsAndDgpGrid();

dgpChoice = dgpGrid(dgpGridChoice,1);
normalZ = dgpGrid(dgpGridChoice,2);
sampleSize = dgpGrid(dgpGridChoice,3);

[DgpParams,EstimationParams,GridParams,GridOutputs,linCombPdfTrue] = ...
    setAdditionalParameters(dgpChoice,normalZ);

load(sprintf('../datasets_bandwidths/hstar_n%d_dgp%d_nZ%d.mat',...
    sampleSize,dgpChoice,normalZ));

useCluster = 1;

runWithEstimatedFirstStage(...
    sampleSize,GridParams,DgpParams,dgpChoice,EstimationParams,...
    normalZ,[],GridOutputs,useCluster,dgpGridChoice);

end