// AUTHOR: Matthew A. Masten
//
// DATE CREATED: May 10, 2015
// DATE LAST UPDATED: July 14, 2017
//
// REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
// Simultaneous Equations Models", Review of Economic Studies

/* Merge AHAA transcript data with the wave 1 in-home data */

cd $data_datasets_filepath
use AHAAgrades1.dta, clear

merge AID using H1education1.dta, sort
// _merge == 3, we have data from both sources
// _merge == 2, we only have data from in-home survey (no AHAA grades)
// _merge == 1, we only have data from AHAA grades

drop if _merge == 1
// We'll keep the other merges for now.

gen AHAAflag = .
replace AHAAflag = 1 if _merge==3 /* We have data on this person from the AHAA study */
replace AHAAflag = 0 if _merge==2 /* We do not */
drop _merge
label variable AHAAflag "1 if we have data from AHAA grades study"

compress
cd $data_datasets_filepath
save H1education2.dta, replace
