// AUTHOR: Matthew A. Masten
//
// DATE CREATED: August 12, 2012
// DATE LAST UPDATED: July 14, 2017
//
// REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
// Simultaneous Equations Models", Review of Economic Studies

/* Merge in-school friend nomination data */

cd ${ICPSR_root_filepath}ICPSR_27021/DS0019
use /* 
*/ SQID AID /*
*/ S34A-S34E /*
*/ S35A-S35E /*
*/ S36A-S36E /*
*/ S37A-S37E /*
*/ S38A-S38E /*
*/ /*
*/ S39A-S39E /*
*/ S40A-S40E /*
*/ S41A-S41E /*
*/ S42A-S42E /*
*/ S43A-S43E /*
*/ using 27021-0019-Data-REST.dta, clear
drop if SQID == "999999"

cd $data_cr_data_datasets_filepath
save AID_SQID_crosswalk.dta, replace

cd ${ICPSR_root_filepath}ICPSR_27022/DS0003
use 27022-0003-Data-REST.dta, clear
drop if SQID == "999999"

cd $data_cr_data_datasets_filepath
save S1_friends.dta, replace

use AID_SQID_crosswalk.dta, clear
merge SQID using S1_friends.dta, sort
drop _merge

drop if AID == ""
drop SQID

save S1_friends_AID.dta, replace

cd $data_datasets_filepath
use H1education2.dta, clear

cd $data_cr_data_datasets_filepath
merge AID using S1_friends_AID.dta, sort

drop if _merge == 2 /* These are people who did not take the in-home W1 survey */
gen S1FrDtFlg = .
replace S1FrDtFlg = 1 if _merge==3 /* We have data for this person from the in-school W1 survey */
replace S1FrDtFlg = 0 if _merge==1 /* We do not */
drop _merge
label variable S1FrDtFlg "1 if we have friend data from in-school W1 survey"

compress
cd $data_datasets_filepath
save H1education3.dta, replace
