// AUTHOR: Matthew A. Masten
//
// DATE CREATED: May 10, 2015
// DATE LAST UPDATED: July 14, 2017
//
// REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
// Simultaneous Equations Models", Review of Economic Studies

// EXPORT DATA
cd $data_datasets_filepath
use H1education5.dta, clear

// Order the variables to make it easy to import into my matlab program.
// Specifically, I have organized the variables according to their data inputs in matlab here.
local Ydata currentGPA_1 currentGPA_2 
local Z1 laggedGPA_1
local Z2 laggedGPA_2

local varsToSave `Ydata' `Z1' `Z2' // `Xdata'

// SAVE FULL SAMPLE
// Drop if missing data
drop missingData // drop the old missingData indicator, which might be present

gen missingData = 0
foreach x of varlist `varsToSave' {
	replace missingData = 1 if `x' == .
}

drop if missingData == 1

outsheet `Ydata' `Z1' `Z2' `Xdata' using fullSample.csv, comma replace
