// AUTHOR: Matthew A. Masten
//
// DATE CREATED: August 12, 2012
// DATE LAST UPDATED: July 14, 2017
//
// REFERENCE: Masten (2017) "Random Coefficients on Endogenous Variables in
// Simultaneous Equations Models", Review of Economic Studies

/* Recode the friend data */
/* Here I just set the values to missing if a friend was nominated but they did not appear in the dataset */

cd $data_datasets_filepath
use H1education3.dta, clear

// Note: I originally destring-ed the id's, but that caused problems later on
tostring MF1AID-MF5AID FF1AID-FF5AID, force replace

// Codes common to both the in-home and in-school survey
foreach var of varlist MF_AID1-MF_AID5 FF_AID1-FF_AID5 MF1AID-MF5AID FF1AID-FF5AID {
	replace `var' = "" if `var' == "77777777"
	replace `var' = "" if `var' == "88888888"
	replace `var' = "" if `var' == "99999999"
}

// Codes only used for the in-home survey
foreach var of varlist MF_AID1-MF_AID5 FF_AID1-FF_AID5 {
	replace `var' = "" if `var' == "55555555" // These are `best friends' who were also nominated as romantic partners--I don't have that data
}

// Codes only used for the in-school survey
foreach var of varlist MF1AID-MF5AID FF1AID-FF5AID {
	replace `var' = "" if `var' == "99959995"
}

forvalues i = 1/5 {
replace MF`i'AID = "" if MF`i'AID == "."
replace FF`i'AID = "" if FF`i'AID == "."
}

save H1education3.dta, replace
